Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.meta.generators
Class RandomizableGenerator

    java.lang.Object
      weka.classifiers.meta.generators.Generator
          weka.classifiers.meta.generators.RandomizableGenerator

All Implemented Interfaces:
  java.io.Serializable, OptionHandler

Direct Known Subclasses:
  DiscreteGenerator, DiscreteUniformGenerator, EMGenerator, NominalGenerator, RandomizableDistributionGenerator, RandomizableRangedGenerator

    public abstract class RandomizableGenerator

extends Generator

An abstract superclass for generators that use a seeded internal random number generator.

Version:
  $Revision: 5793 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)
See Also:
  Serialized Form

Constructor Summary
`RandomizableGenerator()`

Method Summary
`java.lang.String[]` | `getOptions()` Gets the current settings of the generator.
`long` | `getSeed()` Gets the current random number generator seed.
`java.util.Enumeration` | `listOptions()` Returns an enumeration describing the available options.
`java.lang.String` | `seedTipText()` Returns the tip text for this property.
`void` | `setOptions(java.lang.String[] options)` Parses a given list of options.
`void` | `setSeed(long value)` Sets the seed to the random number generator.

Methods inherited from class weka.classifiers.meta.generators.Generator
`copy, debugTipText, forName, generate, getDebug, getLogProbabilityOf, getProbabilityOf, globalInfo, setDebug`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RandomizableGenerator

    public RandomizableGenerator()

Method Detail

### listOptions

    public java.util.Enumeration listOptions()

  Returns an enumeration describing the available options.

  Specified by:
    `listOptions` in interface `OptionHandler`
  Overrides:
    `listOptions` in class `Generator`
  Returns:
    an enumeration of all the available options.

### setOptions

    public void setOptions(java.lang.String[] options)
                    throws java.lang.Exception

  Parses a given list of options.

  Specified by:
    `setOptions` in interface `OptionHandler`
  Overrides:
    `setOptions` in class `Generator`
  Parameters:
    `options` - the list of options as an array of strings
  Throws:
    `java.lang.Exception` - if an option is not supported

### getOptions

    public java.lang.String[] getOptions()

  Gets the current settings of the generator.

  Specified by:
    `getOptions` in interface `OptionHandler`
  Overrides:
    `getOptions` in class `Generator`
  Returns:
    An array of strings suitable for passing to setOptions.

### setSeed

    public void setSeed(long value)

  Sets the seed to the random number generator.

  Parameters:
    `value` - The new seed for the random number generator.

### getSeed

    public long getSeed()

  Gets the current random number generator seed.

  Returns:
    The current random number generator seed.

### seedTipText

    public java.lang.String seedTipText()

  Returns the tip text for this property.

  Returns:
    tip text for this property suitable for displaying in the explorer/experimenter gui

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD